import React from "react";

const Youtube = ({ width, height, fill }) => {
  return (
    <svg
      width={width}
      height={height}
      viewBox="0 0 79 57"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        fillRule="evenodd"
        clipRule="evenodd"
        d="M31.67 40.7365L51.7493 28.6102L31.67 16.4843V40.7365ZM76.3943 9.08725C76.897 10.987 77.2452 13.5335 77.4775 16.767C77.7482 20.0007 77.8642 22.7897 77.8642 25.215L78.0965 28.6102C78.0965 37.4625 77.4775 43.9702 76.3943 48.1335C75.427 51.7715 73.183 54.1158 69.701 55.1263C67.8825 55.6518 64.5553 56.0158 59.4485 56.2583C54.419 56.541 49.815 56.6622 45.5592 56.6622L39.4077 56.905C23.197 56.905 13.0992 56.2583 9.11424 55.1263C5.63224 54.1158 3.38825 51.7715 2.42125 48.1335C1.91825 46.2337 1.57 43.6873 1.33775 40.4538C1.067 37.22 0.951004 34.431 0.951004 32.0058L0.71875 28.6102C0.71875 19.7582 1.33775 13.2505 2.42125 9.08725C3.38825 5.44925 5.63224 3.105 9.11424 2.09425C10.9327 1.569 14.26 1.20499 19.3667 0.962494C24.3965 0.679744 29.0002 0.558502 33.256 0.558502L39.4077 0.31575C55.6182 0.31575 65.716 0.962504 69.701 2.09425C73.183 3.105 75.427 5.44925 76.3943 9.08725Z"
        fill={fill}
      />
    </svg>
  );
};

Youtube.defaultProps = {
  width: "79",
  height: "57",
  fill: "#62CC6D",
};

export default Youtube;
